Subject: bug#13797: closed (Re: bug#13797: 24.2.93; Program received signal EXC_BAD_ACCESS, Could not access memory.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Feb 2013 08:15:03 +0000

Your bug report

#13797: 24.2.93; Program received signal EXC_BAD_ACCESS, Could not access memory.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13797: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13797
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13797: 24.2.93; Program received signal EXC_BAD_ACCESS, Could not access memory.
From: Andreas Schwab <[email-masked]>
To: Leo Liu <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Feb 2013 09:13:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."

Subject: 24.2.93; Program received signal EXC_BAD_ACCESS, Could not access memory.
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Sun, 24 Feb 2013 10:43:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I was again annoyed by a post-command-hook error so I have:

  (setq debug-on-message "Error in post-command-hook")

Interestingly I experienced crashes.

Here is the log:

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: 13 at address: 0x0000000000000000
0x00000001001bf877 in re_search_2 (bufp=0x100709a28, str1=0x0, size1=0, str2=0xe600000001018030 <Address 0xe600000001018030 out of bounds>, size2=4179340454216613157, startpos=0, range=4179340454216613157, regs=0x0, stop=4179340454216613157) at regex.c:4413
4413				buf_ch = STRING_CHAR_AND_LENGTH (d, buf_charlen);
(gdb) bt
#0  0x00000001001bf877 in re_search_2 (bufp=0x100709a28, str1=0x0, size1=0, str2=0xe600000001018030 <Address 0xe600000001018030 out of bounds>, size2=4179340454216613157, startpos=0, range=4179340454216613157, regs=0x0, stop=4179340454216613157) at regex.c:4413
#1  0x00000001001be6d3 in re_search (bufp=0x100709a28, string=0xe600000001018030 <Address 0xe600000001018030 out of bounds>, size=4179340454216613157, startpos=0, range=4179340454216613157, regs=0x0) at regex.c:4239
#2  0x00000001001a5a4b in fast_string_match (regexp=4465094529, string=4320145466) at search.c:480
#3  0x0000000100047451 in set_message (s=0x1003792eb "Auto-saving...", string=4320145466, nbytes=14, multibyte_p=0) at xdisp.c:10650
#4  0x000000010004426a in message2_nolog (m=0x1003792eb "Auto-saving...", nbytes=14, multibyte=0) at xdisp.c:9649
#5  0x0000000100043f31 in message2 (m=0x1003792eb "Auto-saving...", nbytes=14, multibyte=0) at xdisp.c:9604
#6  0x0000000100044958 in message1 (m=0x1003792eb "Auto-saving...") at xdisp.c:9773
#7  0x0000000100191b21 in Fdo_auto_save (no_message=4320145466, current_only=4320145466) at fileio.c:5567
#8  0x0000000100132127 in read_char (commandflag=1, nmaps=7, maps=0x7fff5fbfec20, prev_event=4320145466, used_mouse_menu=0x7fff5fbfef4f, end_time=0x0) at keyboard.c:2729
#9  0x000000010014404e in read_key_sequence (keybuf=0x7fff5fbff220, bufsize=30, prompt=4320145466, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true) at keyboard.c:9349
#10 0x000000010012e8f5 in command_loop_1 () at keyboard.c:1503
#11 0x000000010020275a in internal_condition_case (bfun=0x10012e390 <command_loop_1>, handlers=4320212330, hfun=0x10012d8a0 <cmd_error>) at eval.c:1289
#12 0x000000010012deb8 in command_loop_2 (ignore=4320145466) at keyboard.c:1193
#13 0x0000000100201fda in internal_catch (tag=4320208442, func=0x10012de80 <command_loop_2>, arg=4320145466) at eval.c:1060
#14 0x000000010012de37 in command_loop () at keyboard.c:1163
#15 0x000000010012d207 in recursive_edit_1 () at keyboard.c:782
#16 0x000000010012d45d in Frecursive_edit () at keyboard.c:846
#17 0x000000010012a8f2 in main (argc=2, argv=0x7fff5fbffa78) at emacs.c:1560
(gdb) p bufp
$1 = (struct re_pattern_buffer *) 0x100709a28
(gdb) p *bufp
$2 = {
  buffer = 0x10be25eb0 "\002\032Error in post-command-hook\001montreal.ca>\001y\r(", 
  allocated = 416, 
  used = 29, 
  syntax = 3408388, 
  fastmap = 0x100709a68 "", 
  translate = 0, 
  re_nsub = 0, 
  can_be_null = 0, 
  regs_allocated = 0, 
  fastmap_accurate = 1, 
  no_sub = 0, 
  not_bol = 0, 
  not_eol = 0, 
  used_syntax = 0, 
  multibyte = 0, 
  target_multibyte = 1, 
  charset_unibyte = 1
}
(gdb) 

fast_string_match receives STRING:

(gdb) p string
$15 = 4320145466
(gdb) xstring
$16 = (struct Lisp_String *) 0x101803038
Value out of range.